Special:PrefixIndex/AllPages paging links contain invalid XML
Closed, ResolvedPublic

Description

Author: clockworksoul

Description:
When label for the "Next page" link generated for Special:PrefixIndex contains an ampersand in the title, it isn't converted into an "&", generating a fatal error when trying to parse the XML on the page.

An example of such a link is below, generated today on en wikipedia:

<a href="/w/index.php?title=Special:PrefixIndex&amp;from=WikiProject_Anime_and_manga/Userbox/User_RedSuns_Ryosuke&amp;prefix=WikiProject&amp;namespace=4"
title="Special:PrefixIndex">
Next page (WikiProject_Anime_and_manga/Userbox/User_RedSuns_Ryosuke)
</a>


Version: 1.12.x
Severity: minor
URL: http://en.wikipedia.org/w/index.php?title=Special:PrefixIndex&from=WikiProject_Mathematics/Wikipedia_1.0/Probability_and_statistics/Top&prefix=WikiProject&namespace=4

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13949.
bzimport created this task.Via LegacyMay 4 2008, 7:26 PM
bzimport added a comment.Via ConduitMay 4 2008, 11:51 PM

clockworksoul wrote:

I gave you the wrong example...

This one is a correct example:

<a href="/w/index.php?title=Special:PrefixIndex&amp;from=WikiProject_Military_history/Assessment/Tag_%26_Assess_2008/075&amp;prefix=WikiProject&amp;namespace=4" title="Special:PrefixIndex">
Next page (WikiProject_Military_history/Assessment/Tag_&_Assess_2008/075)
</a>

bzimport added a comment.Via ConduitMay 5 2008, 12:14 AM

ayg wrote:

Fixed in r34229.

bzimport added a comment.Via ConduitJul 15 2008, 5:01 AM

clockworksoul wrote:

This bug seems to have reappeared: take a look at http://en.wikipedia.org/w/index.php?title=Special:PrefixIndex&from=WikiProject_Medieval_Scotland/Bibliography/others&prefix=WikiProject&namespace=4

On this page (as of the time of this writing) the "Next page" link generates the following:

<a

href="/w/index.php?title=Special:PrefixIndex&amp;from=WikiProject_Military_history/Assessment/Tag_%26_Assess_2008/124&amp;prefix=WikiProject&amp;namespace=4" 
title="Special:PrefixIndex">
   Next page (WikiProject_Military_history/Assessment/Tag_&_Assess_2008/124)

</a>

Attempting to parse this causes my parser to complain as follows: "The reference to entity "_Assess_2008" must end with the ';' delimiter."

bzimport added a comment.Via ConduitJul 15 2008, 5:23 PM

clockworksoul wrote:

My mistake: this fix simply hasn't yet been incorporated into the release version of WikiMedia.

IAlex added a comment.Via ConduitJul 15 2008, 5:44 PM

This is not your mistake, this revision is already live. Special:Prefixindex should be fixed in r37704.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.